# This File holds some Tables for buying of weapons
# and configuration of Weapon Prefs for Personalities
#
# The Tables start from the least desired Weapon
# to the best.
# BE EXTREMELY CAREFULL WITH THESE TABLES BECAUSE A WRONG NUMBER
# OF ENTRIES OR A SCREWED UP FORMAT CAN EASILY CRASH POD, THERE'S
# NO ERROR PARSING DONE!

# Numbering of the weapons:
# 0 - KNIFE
# 1 - USP
# 2 - GLOCK18
# 3 - DEAGLE
# 4 - P228
# 5 - ELITE
# 6 - FIVESEVEN
# 7 - M3
# 8 - XM1014
# 9 - MP5NAVY
# 10 - TMP
# 11 - P90
# 12 - MAC10
# 13 - UMP45
# 14 - AK47
# 15 - SG552
# 16 - M4A1
# 17 - GALIL
# 18 - FAMAS
# 19 - AUG
# 20 - SCOUT
# 21 - AWP
# 22 - G3SG1
# 23 - SG550
# 24 - M249
# 25 - SHIELD

# Following are Tables which specify which Team is allowed
# to buy a weapon on a Map. You can also use it to allow/disallow
# Weapons for a Team or a Map/Gamemode (remember that some
# Weapons are team-specific and can't be bought by another team).
# -1 = Disallow Buying for any Team
# 0 = Terrorist Team only
# 1 = CT Team only
# 2 = Can be bought by both Teams
# Standard Weapon Tab for CS & DE Maps
#0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
[STANDARD]
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1

# Weapon Tab for AS Maps
[AS]
#0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
#-1,-1,-1,02,02,00,01,01,01,01,01,01,00,02,00,-1,01,00,01,01,00,00,-1,01,01,01
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1

# Escape & Knife Arena Maps aren't supported by CS and
# so I don't care about them in POD-Bot neither ! 

# Some example Tables:
# Pistols Only
#-1,-1,-1,2,2,0,1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
# Shotguns Only
#-1,-1,-1,-1,-1,-1,-1,2,2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
# SubMachine-Guns Only
#-1,-1,-1,-1,-1,-1,-1,-1,-1,2,1,2,0,2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1


# The following Tables stores the Weapon Priorities of the Bots depending on
# Personality (it affects buying & picking up better weapons from the
# ground).

# Weapon Priorities for a Normal Standard Bot
#0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
[NORMAL]
00,02,01,04,05,06,03,12,10,24,25,13,11,08,07,09,22,23,18,21,20,19,15,17,14,16

# Weapon Priorities for an Agressive Bot
#0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
[AGRESSIVE]
00,02,01,04,05,06,03,24,25,23,20,21,22,10,12,13,11,09,07,08,18,17,19,15,16,14

# Weapon Priorities for a Defensive Bot
#0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
[DEFENSIVE]
00,02,01,04,05,06,03,07,08,12,10,13,11,09,24,18,14,17,16,15,19,20,21,22,23,25
